Cancel app overwrite
Cancels the app overwrite during the installation confirmation step after starting the installation.
Required Permissions
Requires the ADMIN role or higher.
HTTP Request
POST /api/sonar/apps/cancel-overwrite
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-X POST -d token=<TOKEN> \
https://HOSTNAME/api/sonar/apps/cancel-overwrite
Request Parameters
| Key | Required | Type | Description | Notes |
|---|---|---|---|---|
| token | Y | String | Token issued from Logpresso Store |
Success Response
HTTP status code 200 response
{}
Error Responses
token is missing or not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "token should be guid type."
}
Install session does not exist
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "main install session does not exist: token-[ a1b2c3d4-e5f6-7890-abcd-ef1234567890 ]"
}
Permission denied
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}